library commenter_app;

import 'package:commenter_app/controllers/manage_comment.dart';
import 'package:commenter_app/screens/message_view.dart';
import 'package:flutter/material.dart';

class Commentor extends StatefulWidget {
  const Commentor({Key? key, required this.userId, required this.manageComment})
      : super(key: key);

  final String userId;
  final ManageComment manageComment;

  @override
  State<Commentor> createState() => _CommentorState();
}

class _CommentorState extends State<Commentor> {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MessageView(
        currentUserId: widget.userId,
        commentController: widget.manageComment,
      ),
    );
  }
}
